<?php

namespace Drupal\analytics_logging\Controller;

use Drupal\Core\Entity\EntityInterface;
use Drupal\eck\Controller\EckEntityTypeListBuilder;
use Drupal\Core\Url;

/**
 * Provides a listing of ECK entities with link to permission page.
 *
 * @ingroup eck
 */
class EckEntityTypeListBuilderPermission extends EckEntityTypeListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $parent = parent::buildRow($entity);
    $parent['operations']['data']['#links']['permissions'] = [
      'title' => $this->t('Permissions'),
      'url' => new Url('analytics_logging.user_role.edit_permissions_form', ['eck_entity_type' => $entity->id()]),
    ];
    return $parent;
  }

}
