<?php

namespace Drupal\analytics_logging\Controller;

use Drupal\Core\Entity\EntityInterface;
use Drupal\eck\Controller\EckEntityBundleListBuilder;
use Drupal\Core\Url;

/**
 * Provides a listing of ECK entities with link to permission page.
 *
 * @ingroup eck
 */
class EckEntityTypeListBuilderRestExample extends EckEntityBundleListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $parent = parent::buildRow($entity);
    $parent['operations']['data']['#links']['rest_example'] = [
      'title' => $this->t('Rest example'),
      'url' => new Url('analytics_logging.rest_example.form', ['eck_entity_type' => $entity->id()]),
    ];
    return $parent;
  }

}
